Tryton - Issues

 

Issue7763

Title Printing statement with origins (from import) raises error
Priority bug Status resolved
Superseder Nosy List ced, reviewbot, roundup-bot, udono
Type crash Components account_statement
Assigned To ced Keywords review
Reviews 48631002
View: 48631002

Created on 2018-10-04.16:44:40 by udono, last changed by roundup-bot.

Messages
New changeset 7986a746c79c by Cédric Krier in branch 'default':
Use grouped line class also for origins
https://hg.tryton.org/tryton-env/rev/7986a746c79c
New changeset d18b8d31eca4 by Cédric Krier in branch 'default':
Use grouped line class also for origins
https://hg.tryton.org/modules/account_statement/rev/d18b8d31eca4
review48631002 updated at https://codereview.tryton.org/48631002/#ps20001
New review48631002 at https://codereview.tryton.org/48631002/#ps1
msg44347 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-10-05.23:13:20
It should be fixed with review48631002
It was introduced by r 18464ae5629c
msg44324 (view) Author: [hidden] (udono) Date: 2018-10-04.16:44:39
Traceback (most recent call last):
  File "/usr/local/lib/python35/dist-packages/trytond/model/modelstoragepy", line 1236, in __getattr__
    field = self_fields[name]
KeyError: 'descriptions'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/genshi/template/evalpy", line 318, in lookup_attr
    val = getattr(obj, key)
  File "/usr/local/lib/python35/dist-packages/trytond/model/modelstoragepy", line 1238, in __getattr__
    raise AttributeError('"%s" has no attribute "%s"' % (self, name))
AttributeError: "accountstatementorigin,1" has no attribute "descriptions"

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/genshi/template/evalpy", line 324, in lookup_attr
    val = obj[key]
TypeError: 'accountstatementorigin' object is not subscriptable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python35/dist-packages/trytond/wsgipy", line 73, in dispatch_request
    return endpoint(request, **requestview_args)
  File "/usr/local/lib/python35/dist-packages/trytond/protocols/dispatcherpy", line 46, in rpc
    request, database_name, *requestrpc_params)
  File "/usr/local/lib/python35/dist-packages/trytond/wsgipy", line 44, in auth_required
    return wrapped(*args, **kwargs)
  File "/usr/local/lib/python35/dist-packages/trytond/protocols/wrapperspy", line 122, in wrapper
    return func(request, pool, *args, **kwargs)
  File "/usr/local/lib/python35/dist-packages/trytond/protocols/dispatcherpy", line 176, in _dispatch
    result = rpcresult(meth(*c_args, **c_kwargs))
  File "/usr/local/lib/python35/dist-packages/trytond/report/reportpy", line 182, in execute
    oext, content = cls_execute(records, data, action_report)
  File "/usr/local/lib/python35/dist-packages/trytond/report/reportpy", line 190, in _execute
    return clsconvert(action, clsrender(action, report_context))
  File "/usr/local/lib/python35/dist-packages/trytond/report/reportpy", line 290, in render
    data = rel_report(**report_context)render()
  File "/usr/local/lib/python35/dist-packages/relatorio/templates/basepy", line 34, in render
    return selfserializer(selfevents)
  File "/usr/local/lib/python35/dist-packages/relatorio/templates/opendocumentpy", line 1056, in __call__
    for kind, data, pos in stream:
  File "/genshi/corepy", line 289, in _ensure
    for event in stream:
  File "/genshi/filters/i18npy", line 690, in __call__
    for kind, data, pos in stream:
  File "/genshi/template/basepy", line 617, in _include
    for event in stream:
  File "/genshi/template/markuppy", line 326, in _match
    for event in stream:
  File "/genshi/template/basepy", line 557, in _flatten
    for kind, data, pos in stream:
  File "/genshi/template/directivespy", line 367, in __call__
    iterable = _eval_expr(selfexpr, ctxt, vars)
  File "/genshi/template/basepy", line 289, in _eval_expr
    retval = exprevaluate(ctxt)
  File "/genshi/template/evalpy", line 178, in evaluate
    return eval(selfcode, _globals, {'__data__': data})
  File "<string>", line 232, in <Expression 'iter(linedescriptions)'>
  File "/genshi/template/evalpy", line 326, in lookup_attr
    val = clsundefined(key, owner=obj)
  File "/genshi/template/evalpy", line 414, in undefined
    raise UndefinedError(key, owner=owner)
genshitemplateevalUndefinedError: Pool()get('accountstatementorigin')(1) has no member named "descriptions"
History
Date User Action Args
2018-10-15 22:54:35roundup-botsetmessages: + msg44422
2018-10-15 22:54:30roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg44421
2018-10-06 08:27:47reviewbotsetmessages: + msg44349
2018-10-05 23:30:38reviewbotsetnosy: + reviewbot
messages: + msg44348
2018-10-05 23:30:37reviewbotsetreviews: 48631002
keyword: + review
2018-10-05 23:13:21cedsetstatus: unread -> testing
assignedto: ced
component: + account_statement
messages: + msg44347
nosy: + ced
2018-10-04 16:44:40udonocreate

Showing 10 items. Show all history (warning: this could be VERY long)